//------------------------------------------------------------------------------
// <auto-generated>
//    This code was generated from a template.
//
//    Manual changes to this file may cause unexpected behavior in your application.
//    Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace SSCMvc.Models
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;

    public partial class MaFrmReference
    {
        public MaFrmReference()
        {
            this.MaAdmissions = new HashSet<MaAdmission>();
            this.MaEnquiries = new HashSet<MaEnquiry>();
        }
        public int Id { get; set; }

        [Display(Name = "Company Name")]
        [Required(ErrorMessage = "*")]
        public string CompName { get; set; }

        [Display(Name = "Contact Person")]
        [Required(ErrorMessage = "*")]
        public string ContactPerson { get; set; }


        [RegularExpression(@"^([a-zA-Z0-9_\-\.]+)@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.)|(([a-zA-Z0-9\-]+\.)+))([a-zA-Z]{2,4}|[0-9]{1,3})(\]?)$", ErrorMessage = "Not a valid Email ")]
        [DataType(DataType.EmailAddress)]
        [StringLength(50)]
        public string Email { get; set; }

        [Display(Name = "Mobile No")]
        [Required(ErrorMessage = "*")]
        [StringLength(25)]
        [DataType(DataType.Text)]
        [RegularExpression(@"\d{10}$",ErrorMessage="Invalid Number")]
        public string MobileNo { get; set; }
        public Nullable<double> Commission { get; set; }



        private Nullable<bool> _status;
        public bool Status
        {
            get
            {
                if (_status == true)
                {
                    return true;
                }
                else
                {
                    return false;
                }
            }
            set
            {
                _status = value;
            }
        }

        [DataType(DataType.Date)]
        [Display(Name = "Enter Date")]
        public Nullable<System.DateTime> Cdate { get; set; }

        public Nullable<int> BranchId { get; set; }

        public virtual MaBranch MaBranch { get; set; }
        public virtual ICollection<MaAdmission> MaAdmissions { get; set; }
        public virtual ICollection<MaEnquiry> MaEnquiries { get; set; }
    }
}
